commit:     dfbd8a5650bbb24f284b5312ab09ce5f05a60594
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 19 23:19:27 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Nov 19 23:19:41 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfbd8a56

sys-freebsd/freebsd-ubin: add missing dies.

Package-Manager: Portage-2.3.13, Repoman-2.3.4

 sys-freebsd/freebsd-ubin/freebsd-ubin-10.3-r2.ebuild | 20 +++++++++++---------
 sys-freebsd/freebsd-ubin/freebsd-ubin-11.0-r1.ebuild | 16 ++++++++--------
 sys-freebsd/freebsd-ubin/freebsd-ubin-11.1.ebuild    | 14 +++++++-------
 3 files changed, 26 insertions(+), 24 deletions(-)

diff --git a/sys-freebsd/freebsd-ubin/freebsd-ubin-10.3-r2.ebuild 
b/sys-freebsd/freebsd-ubin/freebsd-ubin-10.3-r2.ebuild
index 3a6db423d7e..001f0be4599 100644
--- a/sys-freebsd/freebsd-ubin/freebsd-ubin-10.3-r2.ebuild
+++ b/sys-freebsd/freebsd-ubin/freebsd-ubin-10.3-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -11,8 +11,10 @@ IUSE="ar atm audit bluetooth ipv6 kerberos netware nis ssl 
usb build zfs"
 LICENSE="BSD zfs? ( CDDL )"
 
 # Security Advisory and Errata patches.
-UPSTREAM_PATCHES=( "SA-16:25/bspatch.patch"
-       "SA-16:29/bspatch.patch" )
+UPSTREAM_PATCHES=(
+    "SA-16:25/bspatch.patch"
+    "SA-16:29/bspatch.patch"
+)
 
 if [[ ${PV} != *9999* ]]; then
        KEYWORDS="~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
@@ -113,8 +115,8 @@ pkg_preinst() {
        # bison installs a /usr/bin/yacc symlink ...
        # we need to remove it to avoid triggering
        # collision-protect errors
-       if [[ -L ${ROOT}/usr/bin/yacc ]] ; then
-               rm -f "${ROOT}"/usr/bin/yacc
+       if [[ -L ${ROOT}/usr/bin/yacc ]]; then
+               rm -f "${ROOT}"/usr/bin/yacc || die
        fi
 }
 
@@ -128,7 +130,7 @@ src_prepare() {
        # Rename manpage for renamed ar
        mv "${S}"/ar/ar.1 "${S}"/ar/freebsd-ar.1 || die
        # Fix whereis(1) manpath search.
-       sed -i -e 's:"manpath -q":"manpath":' "${S}/whereis/pathnames.h"
+       sed -i -e 's:"manpath -q":"manpath":' "${S}/whereis/pathnames.h" || die
 
        # Build a dynamic make
        sed -i -e '/^NO_SHARED/ s/^/#/' "${S}"/make/Makefile || die
@@ -141,7 +143,7 @@ src_prepare() {
 }
 
 setup_multilib_vars() {
-       if ! multilib_is_native_abi ; then
+       if ! multilib_is_native_abi; then
                cd "${WORKDIR}/usr.bin/ldd" || die
                export mymakeopts="${mymakeopts} PROG=ldd32 WITHOUT_MAN="
        else
@@ -196,7 +198,7 @@ pkg_postinst() {
        # We need to ensure that login.conf.db is up-to-date.
        if [[ -e "${ROOT}"etc/login.conf ]] ; then
                einfo "Updating ${ROOT}etc/login.conf.db"
-               "${ROOT}"usr/bin/cap_mkdb       -f "${ROOT}"etc/login.conf 
"${ROOT}"etc/login.conf
+               "${ROOT}"usr/bin/cap_mkdb -f "${ROOT}"etc/login.conf 
"${ROOT}"etc/login.conf || die
                elog "Remember to run cap_mkdb /etc/login.conf after making 
changes to it"
        fi
 }
@@ -205,6 +207,6 @@ pkg_postrm() {
        # and if we uninstall yacc but keep bison,
        # lets restore the /usr/bin/yacc symlink
        if [[ ! -e ${ROOT}/usr/bin/yacc ]] && [[ -e ${ROOT}/usr/bin/yacc.bison 
]] ; then
-               ln -s yacc.bison "${ROOT}"/usr/bin/yacc
+               ln -s yacc.bison "${ROOT}"/usr/bin/yacc || die
        fi
 }

diff --git a/sys-freebsd/freebsd-ubin/freebsd-ubin-11.0-r1.ebuild 
b/sys-freebsd/freebsd-ubin/freebsd-ubin-11.0-r1.ebuild
index 7c9aac54f99..bf7da86b52e 100644
--- a/sys-freebsd/freebsd-ubin/freebsd-ubin-11.0-r1.ebuild
+++ b/sys-freebsd/freebsd-ubin/freebsd-ubin-11.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -108,8 +108,8 @@ pkg_preinst() {
        # bison installs a /usr/bin/yacc symlink ...
        # we need to remove it to avoid triggering
        # collision-protect errors
-       if [[ -L ${ROOT}/usr/bin/yacc ]] ; then
-               rm -f "${ROOT}"/usr/bin/yacc
+       if [[ -L ${ROOT}/usr/bin/yacc ]]; then
+               rm -f "${ROOT}"/usr/bin/yacc || die
        fi
 }
 
@@ -123,7 +123,7 @@ src_prepare() {
        # Rename manpage for renamed ar
        mv "${S}"/ar/ar.1 "${S}"/ar/freebsd-ar.1 || die
        # Fix whereis(1) manpath search.
-       sed -i -e 's:"manpath -q":"manpath":' "${S}/whereis/pathnames.h"
+       sed -i -e 's:"manpath -q":"manpath":' "${S}/whereis/pathnames.h" || die
 
        # Build a dynamic make
        sed -i -e '/^NO_SHARED/ s/^/#/' "${S}"/bmake/Makefile.inc || die
@@ -148,7 +148,7 @@ setup_multilib_vars() {
 src_compile() {
        local MULTIBUILD_VARIANTS="${DEFAULT_ABI}"
        # Preparing to build addr2line, elfcopy, m4
-       for dir in libelftc libpe libopenbsd ; do
+       for dir in libelftc libpe libopenbsd; do
                cd "${WORKDIR}/lib/${dir}" || die
                multibuild_foreach_variant freebsd_multilib_multibuild_wrapper 
freebsd_src_compile -j1
        done
@@ -168,7 +168,7 @@ src_install() {
 
        # baselayout requires these in /bin
        dodir /bin
-       for bin in sed printf ; do
+       for bin in sed printf; do
                mv "${D}/usr/bin/${bin}" "${D}/bin/" || die "mv ${bin} failed"
                dosym /bin/${bin} /usr/bin/${bin} || die "dosym ${bin} failed"
        done
@@ -198,7 +198,7 @@ pkg_postinst() {
        # We need to ensure that login.conf.db is up-to-date.
        if [[ -e "${ROOT}"etc/login.conf ]] ; then
                einfo "Updating ${ROOT}etc/login.conf.db"
-               "${ROOT}"usr/bin/cap_mkdb       -f "${ROOT}"etc/login.conf 
"${ROOT}"etc/login.conf
+               "${ROOT}"usr/bin/cap_mkdb -f "${ROOT}"etc/login.conf 
"${ROOT}"etc/login.conf || die
                elog "Remember to run cap_mkdb /etc/login.conf after making 
changes to it"
        fi
 }
@@ -207,6 +207,6 @@ pkg_postrm() {
        # and if we uninstall yacc but keep bison,
        # lets restore the /usr/bin/yacc symlink
        if [[ ! -e ${ROOT}/usr/bin/yacc ]] && [[ -e ${ROOT}/usr/bin/yacc.bison 
]] ; then
-               ln -s yacc.bison "${ROOT}"/usr/bin/yacc
+               ln -s yacc.bison "${ROOT}"/usr/bin/yacc || die
        fi
 }

diff --git a/sys-freebsd/freebsd-ubin/freebsd-ubin-11.1.ebuild 
b/sys-freebsd/freebsd-ubin/freebsd-ubin-11.1.ebuild
index e55479c3e21..b731c32e8f4 100644
--- a/sys-freebsd/freebsd-ubin/freebsd-ubin-11.1.ebuild
+++ b/sys-freebsd/freebsd-ubin/freebsd-ubin-11.1.ebuild
@@ -107,8 +107,8 @@ pkg_preinst() {
        # bison installs a /usr/bin/yacc symlink ...
        # we need to remove it to avoid triggering
        # collision-protect errors
-       if [[ -L ${ROOT}/usr/bin/yacc ]] ; then
-               rm -f "${ROOT}"/usr/bin/yacc
+       if [[ -L ${ROOT}/usr/bin/yacc ]]; then
+               rm -f "${ROOT}"/usr/bin/yacc || die
        fi
 }
 
@@ -122,7 +122,7 @@ src_prepare() {
        # Rename manpage for renamed ar
        mv "${S}"/ar/ar.1 "${S}"/ar/freebsd-ar.1 || die
        # Fix whereis(1) manpath search.
-       sed -i -e 's:"manpath -q":"manpath":' "${S}/whereis/pathnames.h"
+       sed -i -e 's:"manpath -q":"manpath":' "${S}/whereis/pathnames.h" || die
 
        # Build a dynamic make
        sed -i -e '/^NO_SHARED/ s/^/#/' "${S}"/bmake/Makefile.inc || die
@@ -158,7 +158,7 @@ src_compile() {
 
 src_install() {
        cd "${S}"/calendar/calendars || die
-       for dir in $(find . -type d ! -name "." ) ; do
+       for dir in $(find . -type d ! -name "." ); do
                dodir /usr/share/calendar/"$(basename ${dir})"
        done
 
@@ -178,7 +178,7 @@ src_install() {
 
        cd "${WORKDIR}/etc" || die
        insinto /etc
-       doins remote phones opieaccess fbtab || die
+       doins remote phones opieaccess fbtab
 
        exeinto /etc/cron.daily
        newexe "${FILESDIR}/locate-updatedb-cron" locate.updatedb || die
@@ -197,7 +197,7 @@ pkg_postinst() {
        # We need to ensure that login.conf.db is up-to-date.
        if [[ -e "${ROOT}"etc/login.conf ]] ; then
                einfo "Updating ${ROOT}etc/login.conf.db"
-               "${ROOT}"usr/bin/cap_mkdb       -f "${ROOT}"etc/login.conf 
"${ROOT}"etc/login.conf
+               "${ROOT}"usr/bin/cap_mkdb -f "${ROOT}"etc/login.conf 
"${ROOT}"etc/login.conf || die
                elog "Remember to run cap_mkdb /etc/login.conf after making 
changes to it"
        fi
 }
@@ -206,6 +206,6 @@ pkg_postrm() {
        # and if we uninstall yacc but keep bison,
        # lets restore the /usr/bin/yacc symlink
        if [[ ! -e ${ROOT}/usr/bin/yacc ]] && [[ -e ${ROOT}/usr/bin/yacc.bison 
]] ; then
-               ln -s yacc.bison "${ROOT}"/usr/bin/yacc
+               ln -s yacc.bison "${ROOT}"/usr/bin/yacc || die
        fi
 }

Reply via email to